## net.i2p.router.tunnel
Interface TunnelGateway.QueuePreprocessor

All Known Implementing Classes:
  BatchedPreprocessor, BatchedRouterPreprocessor, TrivialPreprocessor, TrivialRouterPreprocessor

Enclosing class:
  TunnelGateway

    public static interface TunnelGateway.QueuePreprocessor

Method Summary
`long` `getDelayAmount()` how long do we want to wait before flushing
`boolean` `preprocessQueue(java.util.List pending, TunnelGateway.Sender sender, TunnelGateway.Receiver receiver)`

Method Detail

### preprocessQueue

    boolean preprocessQueue(java.util.List pending,
                            TunnelGateway.Sender sender,
                            TunnelGateway.Receiver receiver)

  Parameters:
    `pending` - list of Pending objects for messages either unsent or partly sent. This list should be update with any values removed (the preprocessor owns the lock)
  Returns:
    true if we should delay before preprocessing again

### getDelayAmount

    long getDelayAmount()

  how long do we want to wait before flushing